" banana.vim - Convert Base Banana (https://git.lattuga.net/itec/banana) and back
" T4 - totem4@tropici.net
" Version: 0.1

if exists("g:loaded_Banana") || &cp
	finish
endif
let g:loaded_Banana= 1
let s:keepcpo           = &cpo
set cpo&vim

if !hasmapto('<Plug>BananaEnc')
	map <unique> <Leader>b <Plug>BananaEnc
endif

if !hasmapto('<Plug>BananaDec')
	map <unique> <Leader>d <Plug>BananaDec
endif

noremap <silent> <unique> <script> <Plug>BananaEnc
			\ :call banana#Enc()<CR>
noremap <silent> <unique> <script> <Plug>BananaDec
			\ :call banana#Dec()<CR>

let &cpo= s:keepcpo
unlet s:keepcpo

